# Attach another identity to a contact

`POST /contacts/{id}/identities` · Rivier · contacts

Attach another identity to a contact.

- Scope: contacts:write
- Graphql: Mutation.contactsIdentityAttach
- Sdk: contacts.identity.attach
- Cli: contacts identity attach

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "kind": {
      "type": "string",
      "enum": [
        "phone",
        "email",
        "messaging",
        "chat",
        "name"
      ]
    },
    "value": {
      "type": "string",
      "minLength": 1,
      "maxLength": 200
    }
  },
  "required": [
    "kind",
    "value"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/contacts/{id}/identities' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "kind": "phone",
  "value": "string"
}'
```
